html {
    background: #fafafa;
}

body {
    --slds-c-tooltip-font-size: 0.75rem;
    font-family: 'Rubik', sans-serif;

    --green-silver: rgb(211, 211, 211);
    --green-gold: rgb(255, 215, 0);
    --green-platinum: rgb(147, 147, 147);

    --slds-c-toast-radius-border: 1.5rem;

    --color-analytics-300: #bdbdbd;
    --color-help-300: #F27050;
    --color-seller-400: #00519e;
    --color-seller-300: #2496FF;
    --color-seller-100: #c8e5ff;
    --color-correct-300: #05c168;
    --color-correct-400: #11845b;
    --color-correct-100: #def2e6;
    --color-incorrect-400: #dc2b2b;
    --color-incorrect-300: #ff5a65;
    --color-incorrect-100: #ffeff0;
    --color-item-400: #974a02;
    --color-item-300: #FD871A;
    --color-item-100: #fee1c6;
    --color-catalog-400: #cca600;
    --color-catalog-300: #ffd100;
    --color-catalog-100: #fff3bf;
    --color-brand-400: #3000c0;
    --color-brand-300: #9571FF;
    --color-brand-100: #e4dbff;
    --color-official-store-400: #1e8e6a;
    --color-official-store-300: #48D4C8;
    --color-official-store-100: #CAF4F2;
    --slds-c-button-destructive-color-background: #ff5a65;
    --slds-c-button-destructive-color-border: #ff5a65;
    --slds-c-button-success-color-background: #05c168;
    --slds-c-button-success-color-border: #05c168;
    --color-neutral-700: #1D5573;
    --color-neutral-800: #292929;

    --color-salesforce: #389acd;
    --color-pvp: #E5261C;
    --color-price-robot: #FC7B06;
    --color-sharing : #ffa726;
    --number-size: 13px;

    --color-pink: #e73b90;
    --color-search: #008080;
    --color-cbt: #f3f3f3;
    --color-search-listings: #66B1D9;

    --color-tendency: #66BB6A;
    --color-opportunity: #806CBC;

    --color-extreme-low: #8b0000;
    --color-very-low: #b71c1c;
    --color-low: #f4511e;
    --color-mid-low: #fb8c00;
    --color-mid: #fbc02d;
    --color-mid-high: #fdd835;
    --color-high: #c0ca33;
    --color-very-high: #43a047;
    --color-extreme-high: #2e7d32;

    --color-buybox-winning: #66BB6A;
    --color-buybox-competing: #FD871A;
    --color-buybox-sharing-first: #FFD000;
    --color-buybox-listed: #9571FF;
    --color-buybox-total: #48d4c8;

    --color-listing-high-performance: #FFD000;
    --color-listing-new: #9571FF;
    --color-listing-growing: #66BB6A;
    --color-listing-falling: #FD871A;
    --color-listing-stable: #95A5A6;
    --color-listing-without-sales: #2C3E50;
    --color-listing-recent-sales: #48d4c8;

    --color-help: #8C114F;
}

lightning-button-icon.self {
    --slds-g-color-error-base-50: var(--color-incorrect-300);
}

lightning-combobox {
    --slds-c-input-color-background: var(--color-salesforce);
    --slds-c-input-color-border: var(--color-salesforce);
    --slds-c-input-text-color: white;
    --slds-g-color-neutral-base-50: white;
}

lightning-combobox.item {
    --slds-c-input-color-background: var(--color-item-300);
    --slds-c-input-color-border: var(--color-item-300);
}

lightning-combobox.brand {
    --slds-c-input-color-background: var(--color-brand-300);
    --slds-c-input-color-border: var(--color-brand-300);
}

lightning-combobox.seller {
    --slds-c-input-color-background: var(--color-seller-300);
    --slds-c-input-color-border: var(--color-seller-300);
}

lightning-combobox.catalog {
    --slds-c-input-color-background: var(--color-catalog-300);
    --slds-c-input-color-border: var(--color-catalog-300);
}

lightning-combobox.store {
    --slds-c-input-color-background: var(--color-official-store-300);
    --slds-c-input-color-border: var(--color-official-store-300);
}

lightning-combobox.analytics {
    --slds-c-input-color-background: var(--color-pink);
    --slds-c-input-color-border: var(--color-pink);
}

.slds-listbox__option-icon{
    --slds-c-icon-color-foreground-default: #00a650;
}
/* Colores medallas */
.gold_special lightning-badge , .platinum{
    --slds-c-badge-color-background: rgb(211, 211, 211);
}

.gold_pro lightning-badge , .gold {
    --slds-c-badge-color-background: #FFEC43;
}

.orange lightning-badge, .light_green lightning-badge, .red lightning-badge, .newbie lightning-badge, .green lightning-badge, .yellow lightning-badge {
    --slds-c-badge-color-background: transparent;
    --slds-c-badge-text-color: black;
}

.green_silver lightning-badge {
    --slds-c-badge-color-background: var(--green-silver);
}

.green_gold lightning-badge {
    --slds-c-badge-color-background: var(--green-gold);
}

.green_platinum lightning-badge {
    --slds-c-badge-color-background: var(--green-platinum);
}

.slds-icon-utility-arrowup, .slds-icon-utility-check{
    --slds-c-icon-color-foreground-default: #11845b;
}

.slds-icon-utility-arrowdown{
    --slds-c-icon-color-foreground-default: #dc2b2b;
}

lightning-icon.arrow-up svg, lightning-icon.arrow-down svg {
    height: calc(var(--number-size) - 2px);
    margin-bottom: calc(var(--number-size) * 0.17);
}

common-arrow-percent lightning-formatted-number {
    font-weight: 700;
    font-size: var(--number-size);
}

.position common-formatted-number{
    font-weight: 700;
    font-size: 2.5rem;
}

.position div {
    text-align:center;
}

.fulfillment lightning-badge, lightning-badge.fulfillment{
    background-color:transparent !important;
    color: #00a650 !important;
    --slds-c-badge-icon-color-foreground: #00a650 !important;
    text-transform: uppercase;
    font-style: italic;
    font-size: larger;
}

.fulfillment lightning-icon, lightning-icon.fulfillment{
    --slds-c-icon-color-foreground: #00a650 !important;
    --slds-c-icon-color-foreground-default: #00a650 !important;
}

.reputation-medal svg {
    height: 3.5rem !important;
    width: 2.5rem !important;
}

common-table .slds-th__action .slds-truncate{
    overflow: hidden;
    text-overflow: unset;
    white-space: pre-line;
    flex-grow: 1;
}

common-table .slds-th__action {
    height: 4rem;
}

common-table .slds-line-height_reset{
    height: 2rem;
}

common-table thead lightning-primitive-header-factory {
    display: flex;
    text-align: center;
}

.title {
    font-size: 2em;
}

.subtitle {
    font-size: 1.5em;
}

subtitle-medium {
    font-size: 1.3em;
}

.bold{
    font-weight: bold;
}

.card-stats .slds-card__body {
    display: contents;
}

lightning-button-icon.tutorial button,  lightning-button.compare button, lightning-button.tutorial button {
    background-color: var(--color-help) !important;
    border-color: var(--color-help) !important;
}

.fulfillment svg {
    transform: rotate(10deg);
}

.with-discount lightning-badge, lightning-badge.with-discount{
    background-color:transparent;
    color: #515151;
    --slds-c-badge-icon-color-foreground: #515151;
}

.with-discount svg {
    height: 2rem !important;
    width: 2rem !important;
}

.mercado-envios lightning-badge, lightning-badge.mercado-envios{
    background-color:transparent;
    color: #96b44e;
    --slds-c-badge-icon-color-foreground: #96b44e;
}

.mercado-envios lightning-icon{
    --slds-c-icon-color-foreground-default: #96b44e;
}

.mercado-envios svg {
    height: 2rem !important;
    width: 2rem !important;
}

.width{
    width: 100%;
}

.free-shipping  lightning-badge , lightning-badge.free-shipping{
    background-color: transparent;
    color: #00a650;
    font-size: 0.9rem;
}

.flex-custom  lightning-badge , lightning-badge.flex-custom{
    background-color: transparent;
    color: #A7C957;
    text-transform: uppercase;
    font-size:larger;
}

.group {
    overflow-x: auto;
    min-width: 0;
    display: grid;
}

.box, .box-small, .box-medium, common-paginated-table common-table {
    border-radius: 10px;
    border-color: #c9c9c9;
    border-style: solid;
}

.slds-card {
    border-radius: 10px;
    border:none;
    padding:1px;
}

common-paginated-table, common-paginated-table .slds-table_header-fixed_container {
    border-radius: 10px;
}

common-paginated-table common-table, .slds-card {
    box-shadow: 0px 4px 8px 4px rgba(10, 10, 10, 0.07);
}

common-table {
    min-width: 0;
}

common-tree-grid common-table {
    border-radius: 0px;
    box-shadow: none;
    border-style: none;
}   

common-tree-grid .dt-outer-container{
    border-style: solid;
    border-radius: 10px;
    box-shadow: 0px 4px 8px 4px rgba(20, 20, 20, 0.1);
    border-color: #c9c9c9;
}   

.box, .box-small, .box-medium {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.05);
}

.box {
    padding: 2rem;
}

.box-small {
    padding: 0.3rem;
}

.box-medium {
    padding: 0.8rem;
}

lightning-button-icon.download button {
    background-color: var(--color-correct-300);
    border-color: var(--color-correct-300);
}

lightning-button-icon.download button:hover {
    background-color: var(--color-correct-400);
    border-color: var(--color-correct-400);
}

lightning-button-icon.download-faux button {
    background-color: var(--color-correct-300);
    border-color: var(--color-correct-300);
}

lightning-button-icon.download-faux button:hover {
    background-color: var(--color-correct-300);
    border-color: var(--color-correct-300);
    cursor:default;
}

.toast-container {
    top: 80px;
}

.slds-theme_info {
    background-color: #2a9bc5;
}

.slds-is-sortable__icon {
    display: inline-block;
}

.slds-is-sorted .slds-is-sortable__icon {
    fill: rgb(1, 118, 211)
}

.card-stats {
    font-size: 1.3em;
    --slds-c-badge-font-size: 1.5em;
    display: flex;
    justify-content:space-between;
    flex-direction:column;
}

.increase , .green{
    color: #11845b;
}

.decrease, .red {
    color: #dc2b2b;
}

.card-stats lightning-layout {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: white;
    height: 100%;
    padding: 0.5rem 0;
}

.slds-theme_error {
    background-color: var(--slds-g-color-neutral-base-50);
}

.gray {
    color: gray;
}

.hide *{
    display: none;
}

/*labels de los input, les saco el espacio de arriba*/
label.slds-form-element__label {
    padding-top: 0px;
}

lightning-primitive-input-simple {
    line-height: 0.75rem;
}

common-page-link button.slds-button_icon-brand, lightning-button[variant="brand"], common-paginated-table button.slds-button_icon-brand, button[title="Borrar filtros"], .blueStyle{
    --slds-c-button-color-background: var(--color-salesforce);
    --slds-c-button-color-border: var(--color-salesforce);
}

.slds-button_icon-brand, .slds-button_icon-brand {
    background-color: var(--color-salesforce);
    border-color: var(--color-salesforce);
}

button.slds-button_neutral{
    border-color: var(--color-salesforce);
    --slds-c-button-text-color :var(--color-salesforce);
}

lightning-tabset{
    --slds-c-tabs-item-color-border-active : var(--color-salesforce);
    --slds-c-tabs-item-color-border-hover: var(--color-salesforce);
}

.oneLineButton{
    min-width: max-content;
}

.winning{
    --slds-c-badge-color-background: var(--color-buybox-winning) ;
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;
}

.green button {
    background-color: var(--color-correct-300);
    border-color: var(--color-correct-300);
}

.green button:hover {
    background-color: var(--color-correct-400);
    border-color: var(--color-correct-400);
}

.green {
    color: var(--color-correct-300);
}

.competing {
    --slds-c-badge-color-background: var(--color-buybox-competing);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;
}

.sharing_first_place {
    --slds-c-badge-color-background: var(--color-buybox-sharing-first);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;
}

.listed {
    --slds-c-badge-color-background: var(--color-buybox-listed);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;
}

.blueColor .slds-form-element__label {
    color: var(--color-salesforce);
}

.blueColor .slds-checkbox_faux {
    border-color: var(--color-salesforce);
}

.tab ul{
    width: fit-content;
    margin: auto;
}
.tab{
    --slds-c-tabs-list-sizing-border : 0px;
}

lightning-button-icon[data-id="accept"] {
    --slds-c-button-color-background: #45c65a;
    --slds-g-color-neutral-base-50: white;
}

lightning-button-icon[data-id="reject"] {
    --slds-c-button-color-background: #ba0517;
    --slds-g-color-neutral-base-50: white;
}

lightning-button-icon[data-id="delete"] {
    --slds-c-button-color-background: var(--color-incorrect-300);
    --slds-g-color-neutral-base-50: white;
    --slds-g-color-border-base-4: var(--color-incorrect-300);
}

/* hacer que rows seleccionadas sigan en blanco
common-table tbody tr:not(:hover) {
    --slds-g-color-neutral-base-95: white;
}
*/

common-table lightning-helptext > div.slds-form-element__icon {
    padding-top: 0px;
    vertical-align: middle;
}

lightning-icon.item svg {
    --slds-c-icon-color-foreground: var(--color-item-300);
}

lightning-icon.seller svg {
    --slds-c-icon-color-foreground: var(--color-seller-300);
}

lightning-icon.brand svg {
    --slds-c-icon-color-foreground: var(--color-brand-300);
}

lightning-icon.store svg {
    --slds-c-icon-color-foreground: var(--color-official-store-300);
}

lightning-icon.pvp svg {
    --slds-c-icon-color-foreground: var(--color-pvp);
}

lightning-icon.price-robot svg {
    --slds-c-icon-color-foreground: var(--color-price-robot);
}

lightning-icon.catalog svg {
    --slds-c-icon-color-foreground: var(--color-catalog-300);
}

lightning-icon.menu svg {
    --slds-c-icon-color-foreground: #546e7a ;
}

lightning-icon.catlog-seller svg {
    --slds-c-icon-color-foreground: var(--color-salesforce);
}

lightning-icon.transparentBG ,lightning-icon.catalog, lightning-icon.brand, lightning-icon.slds-icon-standard-contact,  lightning-icon.slds-icon-standard-catalog, lightning-icon.slds-icon-standard-case {
    --slds-c-icon-color-background: transparent;
}

lightning-icon.analytics svg {
    --slds-c-icon-color-foreground: var(--color-pink);
}

lightning-icon.tendency svg {
    --slds-c-icon-color-foreground: var(--color-tendency);
}

lightning-icon.opportunity svg {
    --slds-c-icon-color-foreground: var(--color-opportunity);
}

lightning-icon.rating svg{
    --slds-c-icon-color-foreground: var(--color-salesforce);
}

.icon svg.catalog {
    fill: var(--color-catalog-300) !important;
}

lightning-icon.category svg {
    --slds-c-icon-color-foreground: var(--color-neutral-700);
}

lightning-icon.most-searched svg {
    --slds-c-icon-color-foreground: var(--color-neutral-700);
}

lightning-icon.tutorial svg {
    --slds-c-icon-color-foreground: var(--color-help);
}

lightning-icon.search svg {
    --slds-c-icon-color-foreground: var(--color-search-listings);
}

lightning-icon.cbt {
    background-color: var(--color-official-store-100) !important;
    padding: 3px;
}

lightning-icon.cbt svg {
    fill: var(--color-salesforce) !important;
}

lightning-icon.official svg {
    fill: var(--color-salesforce) !important;
}

lightning-button.item button.slds-button_brand {
    --slds-c-button-color-background: var(--color-item-300);
    --slds-c-button-color-border: var(--color-item-300);
    --slds-c-button-color-background-hover: var(--color-item-400);
    --slds-c-button-color-border-hover: var(--color-item-400);
    --slds-c-button-text-color : white;
}

lightning-button.item.executed button.slds-button_brand {
    --slds-c-button-color-background: var(--color-item-400);
    --slds-c-button-color-border: var(--color-item-400);
    --slds-c-button-color-background-hover: var(--color-item-400);
    --slds-c-button-color-border-hover: var(--color-item-400);
    --slds-c-button-text-color : white;
}

lightning-button.item button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-item-100);
    --slds-c-button-color-background-hover: var(--color-item-100);
    border-color: var(--color-item-100);
    --slds-c-button-text-color : black;
}

lightning-button.seller button.slds-button_brand {
    --slds-c-button-color-background: var(--color-seller-300);
    --slds-c-button-color-border: var(--color-seller-300);
    --slds-c-button-color-background-hover: var(--color-seller-400);
    --slds-c-button-color-border-hover: var(--color-seller-400);
    --slds-c-button-text-color : white;
}

lightning-button.seller button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-seller-100);
    --slds-c-button-color-background-hover: var(--color-seller-100);
    border-color: var(--color-seller-100);
    --slds-c-button-text-color : black;
}

.unlocked lightning-button button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-correct-100);
    --slds-c-button-color-background-hover: var(--color-correct-100);
    border-color: var(--color-correct-100);
    --slds-c-button-text-color : black;
}

.locked lightning-button button.slds-button_brand {
    --slds-c-button-color-background: var(--color-correct-400);
    --slds-c-button-color-background-hover: var(--color-correct-400);
    border-color: var(--color-correct-400);
    --slds-c-button-text-color : white;
}

lightning-button.brand button.slds-button_brand {
    --slds-c-button-color-background: var(--color-brand-300);
    --slds-c-button-color-border: var(--color-brand-300);
    --slds-c-button-color-background-hover: var(--color-brand-400);
    --slds-c-button-color-border-hover: var(--color-brand-400);
    --slds-c-button-text-color : white;
}

lightning-button.brand button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-brand-100);
    --slds-c-button-color-background-hover: var(--color-brand-100);
    border-color: var(--color-brand-100);
    --slds-c-button-text-color : black;
}

lightning-button.store button.slds-button_brand {
    --slds-c-button-color-background: var(--color-official-store-300);
    --slds-c-button-color-border: var(--color-official-store-300);
    --slds-c-button-color-background-hover: var(--color-official-store-400);
    --slds-c-button-color-border-hover: var(--color-official-store-400);
    --slds-c-button-text-color : white;
}

lightning-button.store button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-official-store-100);
    --slds-c-button-color-background-hover: var(--color-official-store-100);
    border-color: var(--color-official-store-100);
    --slds-c-button-text-color : black;
}

lightning-button.catalog button.slds-button_brand {
    --slds-c-button-color-background: var(--color-catalog-300);
    --slds-c-button-color-background-hover: var(--color-catalog-400); 
    --slds-c-button-color-border: var(--color-catalog-300);
}

lightning-button[data-id="catalog"] button.slds-button_brand{
    --slds-c-button-color-background: var(--color-catalog-300);
    --slds-c-button-color-background-hover: var(--color-catalog-400); 
    --slds-c-button-color-border: var(--color-catalog-300);
}

lightning-button.catalog button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-catalog-100);
    --slds-c-button-color-background-hover: var(--color-catalog-100);
    border-color: var(--color-catalog-100);
    --slds-c-button-text-color : black;
}

lightning-button.analytics button.slds-button_neutral {
    --slds-c-button-color-background: var(--color-pink);
    --slds-c-button-color-background-hover: var(--color-pink);
    border-color: var(--color-pink);
    --slds-c-button-text-color : white;
}

lightning-button.analytics button.slds-button_brand {
    --slds-c-button-color-background: var(--color-pink);
    --slds-c-button-color-border: var(--color-pink);
    --slds-c-button-color-background-hover: #8C114F;
    --slds-c-button-color-border-hover: #8C114F;
    --slds-c-button-text-color : white;
}

lightning-button.analytics .slds-button_brand:hover{
    background-color: #8C114F;
    border-color: #8C114F;     
}

lightning-button-icon.category .slds-button_icon-brand {
    background-color: var(--color-neutral-700);
    border-color: var(--color-neutral-700);
}

lightning-button-icon.category .slds-button_icon-brand:hover {
    background-color: var(--color-neutral-800);
    border-color: var(--color-neutral-800);
}

lightning-button.category .slds-button_brand{
    background-color: var(--color-neutral-700);
    border-color: var(--color-neutral-700);                
}

lightning-button.category .slds-button_brand:hover{
    background-color: var(--color-neutral-800);
    border-color: var(--color-neutral-800);              
}

lightning-button-icon.item .slds-button_icon-brand {
    background-color: var(--color-item-300);
    border-color: var(--color-item-300);
}

lightning-button-icon.seller .slds-button_icon-brand {
    background-color: var(--color-seller-300);
    border-color: var(--color-seller-300);
}

lightning-button-icon.brand .slds-button_icon-brand {
    background-color: var(--color-brand-300);
    border-color: var(--color-brand-300);
}

lightning-button-icon.store .slds-button_icon-brand {
    background-color: var(--color-official-store-300);
    border-color: var(--color-official-store-300);
}

lightning-button-icon.catalog .slds-button_icon-brand {
    background-color: var(--color-catalog-300);
    border-color: var(--color-catalog-300);
}

lightning-button-icon.pvp .slds-button_icon-brand {
    background-color: var(--color-pvp);
    border-color: var(--color-pvp);
}

lightning-button-icon.seller-catalogs .slds-button_icon-brand {
    background-color: var(--color-salesforce);
    border-color: var(--color-salesforce);
}

lightning-button-icon.opportunity .slds-button_icon-brand {
    background-color: var(--color-opportunity);
    border-color: var(--color-opportunity);
}

lightning-button-icon.tendency .slds-button_icon-brand {
    background-color: var(--color-tendency);
    border-color: var(--color-tendency);
}

lightning-button-icon.tendency .slds-button_icon-brand:hover {
    background-color: var(--color-tendency);
    border-color: var(--color-tendency);
}

lightning-badge.item {
    --slds-c-badge-color-background: var(--color-item-300);
    --slds-c-badge-text-color: white;
}

lightning-badge.catalog {
    --slds-c-badge-color-background: var(--color-catalog-300);
    --slds-c-badge-text-color: white;
}

lightning-badge.analytics {
    --slds-c-badge-color-background: var(--color-pink);
    --slds-c-badge-text-color: white;
}

lightning-badge.tendency {
    --slds-c-badge-color-background: var(--color-tendency);
    --slds-c-badge-text-color: white;
}

lightning-badge.meli{
    --slds-c-badge-color-background: #ffe600;
    --slds-c-badge-text-color: #2d3277;
}

lightning-badge.prices-to-win{
    --slds-c-badge-color-background: #ffe600;
    --slds-c-badge-text-color: black;
}

lightning-badge.search {
    --slds-c-badge-color-background: var(--color-search-listings);
    --slds-c-badge-text-color: white;
}

lightning-badge.store {
    --slds-c-badge-color-background: var(--color-official-store-300);
    --slds-c-badge-text-color: white;
}

lightning-badge.brand {
    --slds-c-badge-color-background: var(--color-brand-300);
    --slds-c-badge-text-color: white;
}

lightning-badge.seller {
    --slds-c-badge-color-background: var(--color-seller-300);
    --slds-c-badge-text-color: white;
}

lightning-badge.ai {
    --slds-c-badge-color-background: var(--color-pink);
    --slds-c-badge-text-color: white;
}

lightning-badge.filter {
    --slds-c-badge-color-background: #05679ac4;
    --slds-c-badge-text-color: white;
    font-weight: normal;
    cursor: pointer;
}
lightning-badge.filter svg{
    fill: white !important;
}

lightning-badge.opportunity {
    --slds-c-badge-color-background: var(--color-opportunity);
    --slds-c-badge-text-color: white;
}

.standardIcon {
    margin-right : -4px; 
    margin-left: -4px;
}

.slds-button_success {
    color: white;
}

/*
.custom-combobox-label {
    font-size: 13px;
}*/
            
button.slds-button_brand {
    --slds-c-button-color-background: var(--color-salesforce);
    --slds-c-button-color-border: var(--color-salesforce);      
}

.slds-popover__body, .slds-popover__header, .slds-popover__footer{
    padding:0.75rem 1rem;
}

.slds-table td.table-right-padding_medium {
    padding-right: 1rem;
}

lightning-confirm p {
    white-space: pre-line;
    text-align: center;
}

.chart-column common-chart-js {
    display: block !important;
}

.follow-buttons {
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    display: grid;
    grid-row-gap: 1em;
}

td.follow-column .slds-truncate {
    width: 100%;
}

/*para que ocupen lo que ocupa el texto/el input nomas*/
.slds-combobox.slds-is-open .slds-dropdown_fluid {
    min-width: auto;
    display: inline-table;
}

/*para que no ocupe espacio el icono vacio*/
.slds-listbox__option-icon {
    display: none;
}

lightning-combobox.state span::first-letter {
    text-transform: capitalize;
}

common-expandable-section .icon svg , common-expandable-section h3 {
    fill: white !important;
    color: white;
}

lightning-button.apply-filters button , .expandableSection button {
    --slds-c-button-color-background:#05679a !important;
    --slds-c-button-color-border: #05679a !important;
}

lightning-button-icon.apply-filters button , .expandableSection button{
    background-color:#05679a !important;
    border-color:#05679a !important;
    color: white;
}

.highlightedTable common-table  .buyBoxWinner > *:not(lightning-button, button){
    background-color: var(--color-search-listings) !important;
}

.highlightedTable common-table  .buyBoxWinner *:not(.avoidHighlight *){
    color: white !important;
    --slds-c-icon-color-foreground-default: white ;
}

.highlightedTable common-table  .buyBoxWinner .slds-icon-standard-mercadolider-platinum *{
    fill: white;
}

.highlightedTable common-table .sellerProduct > *:not( lightning-button, button) {
    background-color:  rgb(220, 220, 220)  !important;
    
}
.highlightedTable common-table .sellerProduct *:not(.avoidHighlight * , lightning-badge *) {
    color: black;
}

.highlightedTable  common-table .sellerProduct .fulfillment lightning-badge, .highlightedTable .buyBoxWinner .fulfillment lightning-badge, .highlightedTable .buyBoxWinner lightning-icon {
    color: white ;
    --slds-c-badge-icon-color-foreground: white ;
    
}

.highlightedTable common-table .unlocked-category {
    background-color:  rgba(5, 193, 104, 0.8)  !important;
}

.highlightedTable common-table .wildcard-category {
    background-color:  rgba(253, 216, 53, 0.8)  !important;
}

lightning-breadcrumbs.custom a{
    color:grey;
}

lightning-breadcrumbs.custom .slds-breadcrumb .slds-list__item:before, .slds-breadcrumb .slds-breadcrumb__item:before {
    content: ">";
    position: absolute;
    left: -0.25rem;
    color: grey;
}

lightning-pill.custom span.slds-pill{
    --slds-c-pill-spacing-inline-start: 0.35rem !important;
    --slds-c-pill-spacing-block-start: 0.35rem !important;
    --slds-c-pill-spacing-inline-end: 0.35rem !important;
    --slds-c-pill-spacing-block-end: 0.35rem !important;
    --slds-c-pill-color-border: lightgrey;
    --slds-c-pill-radius-border: 1px;
    color:#666;
}

lightning-checkbox-group.custom .slds-form-element__control .slds-checkbox{
    display: inline-block !important;
}

lightning-radio-group.inline .slds-form-element__control .slds-radio{
    display: inline-block !important;
}

lightning-checkbox-group.custom .slds-checkbox .slds-checkbox__label .slds-form-element__label{
    font-size: 1rem;
}

lightning-checkbox-group.custom .slds-checkbox {
    padding:5px;
}

common-table.catalog-items td.winner,  common-table.catalog-items th.winner{
    background-color:var(--color-catalog-300);
}
common-tree-grid .slds-dropdown-trigger{
    display: none !important;
}
common-tree-grid .slds-th__action{
    padding-right: 0.5rem !important;
}

.item button:hover {
    background-color:  var(--color-item-400);
    border-color: var(--color-item-400);
}

.item button::before, .item button:after {
    background: none !important;
}


.catalog button.slds-button_brand:hover{
    background-color: var(--color-catalog-400);
    border-color: var(--color-catalog-400);
}

.seller button.slds-button_brand:hover{
    background-color: var(--color-seller-400);
    border-color: var(--color-seller-400); 
}

.store button.slds-button_brand:hover{
    background-color: var(--color-official-store-400);
    border-color: var(--color-official-store-400); 
}

.brand button.slds-button_brand:hover{
    background-color: var(--color-brand-400);
    border-color: var(--color-brand-400);
}

lightning-base-combobox span {
    position: relative;
}

lightning-icon.pdf:hover{
    cursor:pointer;
}

div.watermark {
    margin-left: 10px;
    font-size:medium;
    visibility: hidden;
}

img.vs-logo{
    margin-left: 10px;
    margin-top:10px;
    visibility:hidden;
}

th.self, td.self{
    background-color: var(--color-seller-100);
}

th.self-unified, td.self-unified{
    background-color: #FFD4A8;
}

lightning-button.ai button.slds-button_brand {
    --slds-c-button-text-color : white;
    --slds-c-button-color-background: var(--color-pink);
    --slds-c-button-color-border: var(--color-pink);
    --slds-c-icon-color-foreground: white;
}

lightning-button.ai-hide button.slds-button_brand {
    --slds-c-button-text-color : var(--color-pink);
    --slds-c-button-color-background: white;
    --slds-c-button-color-border: var(--color-pink);
    --slds-c-icon-color-foreground: white;
}

lightning-button.ai button.slds-button_neutral {
    --slds-c-button-color-background: white;
    --slds-c-button-color-background-hover: white;
    border-color: var(--color-pink);
    --slds-c-button-text-color : var(--color-pink);
}

.aa-Panel {
    z-index: 9999;
}

.set-name input {
    height: 44px;
}

.high-performance {
    --slds-c-badge-color-background: var(--color-listing-high-performance);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;
}

.new {
    --slds-c-badge-color-background: var(--color-listing-new);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;    
}

.growing {
    --slds-c-badge-color-background: var(--color-listing-growing);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;    
}

.falling {
    --slds-c-badge-color-background: var(--color-listing-falling);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;    
}

.stable {
    --slds-c-badge-color-background: var(--color-listing-stable);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;    
}

.without-sales {
    --slds-c-badge-color-background: var(--color-listing-without-sales);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;    
}

.recent-sales{
    --slds-c-badge-color-background: var(--color-listing-recent-sales);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;                
}

.incoming {
    --slds-c-badge-color-background: var(--color-extreme-high);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;    
}

.outgoing {
    --slds-c-badge-color-background: var(--color-very-low);
    --slds-c-badge-text-color: white;
    --slds-c-badge-font-size: 0.85rem;
}

td.sticky, th.sticky {
    position: sticky !important;
    left: 0;
    z-index: 2;
    background-color: white;
}

thead th.sticky {
    transform: translateY(-2rem); /* para arreglar el padding de la tabla que sticky ignora */
}

common-table .slds-scrollable_y {
    overflow: unset;
}

div.data-info{
    font-size:0.75rem;
    color: gray;
    position:absolute;
    top:45px;
    right:10px;
}

lightning-icon.excel svg {
    --slds-c-icon-color-foreground: #8FC5E3;
}

lightning-button.excel button.slds-button_brand{
    --slds-c-button-color-background: #8FC5E3;
    --slds-c-button-color-border: #8FC5E3;
    --slds-c-button-color-background-hover: #4A82A9;
    --slds-c-button-color-border-hover: #4A82A9;
    --slds-c-button-text-color : white;
}

lightning-icon.excel:hover {
    cursor:pointer;
}

lightning-icon.favorite {
    transform:translateY(-6px);
}

lightning-icon.favorite:hover {
    cursor:pointer;
}

lightning-button-icon.suggestions .slds-button_icon-brand {
    background-color: var(--color-help);
    border-color: var(--color-help);
}

lightning-button.favorite button.slds-button_brand{
    --slds-c-button-color-background: #8FC5E3;
    --slds-c-button-color-border: #8FC5E3;
    --slds-c-button-color-background-hover: #4A82A9;
    --slds-c-button-color-border-hover: #4A82A9;
    --slds-c-button-text-color : white;
}

.slds-tabs_default__link[tabindex="0"]:focus, .slds-tabs--default__link[tabindex="0"]:focus{
    text-decoration: none;
}

.slds-button:focus, .slds-combobox__input:focus, .slds-combobox__input.slds-has-focus{
    -webkit-box-shadow: none;
    box-shadow: none;
}

common-toggle-group .slds-button_brand:hover, common-toggle-group .slds-button_brand:focus, common-toggle-group .slds-button--brand:hover, common-toggle-group .slds-button--brand:focus{
    --slds-c-button-color-background-hover: #1D5573;
    --slds-c-button-color-border-hover: #1D5573;
    --slds-c-button-text-color-hover: white;
}

.slds-popover_tooltip, .slds-popover--tooltip{
    background-color: #1D5573;
}

td.neutral {
    font-weight: 700;
}

td.positive {
    font-weight: 700;
    color: #11845b;
}

td.negative {
    font-weight: 700;
    color: #dc2b2b;
}

div.slds-notify_toast{
    border-radius: 0.25rem;
}

div.slds-notify__close lightning-primitive-icon svg.slds-button__icon.slds-button__icon_large{
    width: 1rem;
    height: 1rem;
}

div.slds-notify_toast lightning-icon.slds-icon-utility-error lightning-primitive-icon svg, 
div.slds-notify_toast lightning-icon.slds-icon-utility-success lightning-primitive-icon svg {
    display:none;
}

lightning-button:not(.favorite):hover, lightning-button-icon:hover, lightning-button-group lightning-button:hover{
    opacity: .8;
}

.slds-popover_tooltip .slds-popover__body, .slds-popover--tooltip .slds-popover__body {
    --slds-c-tooltip-font-size: 0.75rem;
}

div.data-info lightning-helptext slds-button__icon:hover, div.data-info lightning-helptext slds-button__icon:focus {
    fill: gray;
}

div.data-info lightning-helptext .slds-button:hover .slds-button__icon, div.data-info lightning-helptext .slds-button:focus .slds-button__icon, div.data-info lightning-helptext .slds-button:active .slds-button__icon, div.data-info lightning-helptext .slds-button[disabled] .slds-button__icon, div.data-info lightning-helptext .slds-button:disabled .slds-button__icon {
    fill: gray;
    pointer-events: none;
}

div.radar-disclaimer{
    position:absolute;
    top:15px;
    right:0px;
    color:gray;
    font-size:0.75rem;
}

.potential-category-text{
    font-size:0.85rem;
}

lightning-tabset.border-hidden .slds-tabs_default__nav, .slds-tabs--default__nav {
    border: none;
}

.slds-tabs_default .slds-tabs_default__item {
    font-size: 1rem;
}

.slds-truncate + .private-dt-sort-icon_container {
    display: block !important;
    opacity: 1 !important;
}